local addon = select(2,...)
local D = addon.TomCatsLibs.Data
addon.playerFaction = UnitFactionGroup("player")
-- work-around to allow new neutral Pandaren characters to load the addon without throwing errors
if addon.playerFaction == "Neutral" then addon.playerFaction = "Alliance" end
function addon.split(inputstr, delimiter)
    local t={}
    delimiter = delimiter or "."
    for str in string.gmatch(inputstr, "([^" .. delimiter .. "]+)") do
        table.insert(t, str)
    end
    return t
end
addon.params = {
    ["Vignette MapID 1"] = tonumber("1527"),
    ["Vignette MapID 2"] = tonumber("1530"),
    ["Map Name 1"] = "Uldum",
    ["Map Name 2"] = "Vale of Eternal Blossoms",
    ["Timer Delay"] = 5,
    ["Minimap Icon"] = "Interface\\AddOns\\TomCats\\images\\00018.blp",
    ["Icon BGColor"] = addon.split("0,0,0,1.0",","),
    ["Title Line 1"] = "Rares of Visions of N'zoth",
    ["Title Line 2"] = ""
}
function addon.getLocalVars()
    return addon.TomCatsLibs.Data, addon.TomCatsLibs.Locales, addon.params
end
if (addon.playerFaction == "Horde") then
    addon.enemyFaction, addon.embassyContinentMapID = "Alliance", 875
else
    addon.enemyFaction, addon.embassyContinentMapID = "Horde", 876
end
local poi1 = { 6486, 6488, 6487 }
function addon.getLocationIndex1()
    for i = 1, 3 do
        if (C_AreaPoiInfo.GetAreaPOISecondsLeft(poi1[i])) then
            return i
        end
    end
    return 4
end
local poi2 = { 6489, 6491, 6490 }
function addon.getLocationIndex2()
    for i = 1, 3 do
        if (C_AreaPoiInfo.GetAreaPOISecondsLeft(poi2[i])) then
            return i
        end
    end
    return 4
end
addon.TomCatsLibs.Data["Map Canvases"] = { "WorldMapFrame", "BattlefieldMapFrame" }